创建 personAnnotation

命名空间:microsoft.graph

在用户配置文件 中创建新的 personAnnotation 对象

权限

要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限

权限类型 权限(从最低特权到最高特权)
委派(工作或学校帐户) User.ReadWrite、User.ReadWrite.All
委派(个人 Microsoft 帐户) User.ReadWrite、User.ReadWrite.All
应用程序 User.ReadWrite.All

HTTP 请求

POST /me/profile/notes
POST /users/{id | userPrincipalName}/profile/notes

请求标头

名称 说明
Authorization Bearer {token}。必需。
Content-Type application/json. Required.

请求正文

在请求正文中,提供 personAnnotation 对象的 JSON 表示形式。

下表显示了在用户配置文件中的新 personAnnotation 对象中可以设置 的属性

属性 类型 Description
allowedAudiences String 能够查看实体中包含的值的访问群体。 继承自 itemFacet。 可取值为:mefamilycontactsgroupMembersorganizationfederatedOrganizationseveryoneunknownFutureValue
detail itemBody 包含注释本身的详细信息。
displayName String 包含便笺的友好名称。
inference inferenceData 如果实体是由创建或修改应用程序推断出来的,则包含推断详细信息。 继承自 itemFacet
source personDataSource 如果从另一个服务同步,则值源自何处。 继承自 itemFacet

响应

如果成功,此方法在响应 201 Created 正文中返回 响应代码和 personAnnotation 对象。

示例

POST https://graph.microsoft.com/beta/me/profile/notes
Content-Type: application/json

{
  "detail": {
    "contentType": "text",
    "content": "I am originally from Australia, but grew up in Moscow, Russia."
  },
  "displayName": "About Me"
}

响应

注意: 为了提高可读性,可能缩短了此处显示的响应对象。

HTTP/1.1 201 Created
Content-Type: application/json

{
  "id": "0fb4c1e3-c1e3-0fb4-e3c1-b40fe3c1b40f",
  "allowedAudiences": "organization",
  "inference": null,
  "createdDateTime": "2020-07-06T06:34:12.2294868Z",
  "createdBy": {
    "application": null,
    "device": null,
    "user": {
      "displayName": "Innocenty Popov",
      "id": "db789417-4ccb-41d1-a0a9-47b01a09ea49"
    }
  },
  "lastModifiedDateTime": "2020-07-06T06:34:12.2294868Z",
  "lastModifiedBy": {
    "application": null,
    "device": null,
    "user": {
      "displayName": "Innocenty Popov",
      "id": "db789417-4ccb-41d1-a0a9-47b01a09ea49"
    }
  },
  "detail": {
    "contentType": "text",
    "content": "I am originally from Australia, but grew up in Moscow, Russia."
  },
  "displayName": "About Me"
}